MERGE(1)

NOM
merge – Fusion de fichiers de trois façons

SYNOPSIS
merge [ options ] fichier1 fichier2 fichier3

DESCRIPTION
merge incorpore toutes les modifications qui mènent de fichier2 à fichier3 dans fichier1. Le résultat aboutit généralement dans fichier1. merge est utile pour combiner des modifications indépendantes dans un original. En supposant que l’original est fichier2 et que fichier1 et fichier3 sont des modifications de fichier2, merge combinera les deux modifications.

Un conflit se produit si fichier1 et fichier3 ont des modifications dans un segment de lignes commun. Dans ce cas, merge émettra normalement un avertissement et encadrera les parties en conflit avec des lignes <<<<<<< et >>>>>>>. Un conflit typique ressemble à ceci :

    <<<<<<< fichier_A
    lignes dans fichier_A
    =======
    lignes dans fichier_B
    >>>>>>> fichier_B

Si un conflit existe, l’utilisateur doit éditer le résultat et supprimer une des alternatives.

OPTIONS

-A  Afficher les conflits en utilisant le style -A de diff3(1), s’il est pris en charge par diff3. Cela fusionne toutes les modifications amenant de fichier2 à fichier3 dans fichier1 et génère la sortie la plus prolixe.

-E, -e
    Ces options spécifient des styles d’indication de conflit qui génèrent moins d’informations que l’option -A. Consulter diff3(1) pour plus d’explications. L’option par défaut est -E. Avec l’option -e, merge n’avertit pas en cas de conflit.

-L étiquette
    Cette option peut être indiquée au plus trois fois et précise les étiquettes à utiliser à la place des noms de fichier correspondants dans les rapports de conflit. C’est-à-dire que merge -L x -L y -L z a b c génère une sortie qui semble provenir des fichiers x, y et z au lieu des fichiers a, b et c.

-p  Envoyer les résultats sur la sortie standard au lieu du fichier1.

-q  Motus, ne pas avertir en cas de conflit

-V  Afficher le numéro de version de RCS

DIAGNOSTICS
Le code de retour est 0 en l’absence de conflit, 1 pour quelques conflits et 2 en cas de problèmes.

IDENTIFICATION
Auteur : Walter F. Tichy.
Révision de la page de manuel : 5.10.1 ; date de publication : 2 décembre 2025.
Copyright © 2010-2022 Thien-Thi Nguyen.
Copyright © 1990, 1991, 1992, 1993, 1994, 1995 Paul Eggert.
Copyright © 1982, 1988, 1989 Walter F. Tichy.

VOIR AUSSI
diff3(1), diff(1), rcsmerge(1), co(1).

La documentation complète de wdiff est disponible dans un manuel Texinfo. Si les programmes info et wdiff sont correctement installés, la commande

    info rcs

devrait vous donner accès au manuel complet. De plus, la page d’accueil de RCS :

    http://www.gnu.org/software/rcs/

fournit des nouvelles et des liens pour la dernière publication, le site de développement, etc.

BOGUES
Normalement, cela n’a aucun sens de fusionner des fichiers binaires comme s’ils étaient composés de texte, mais merge essaie quand même de le faire.

TRADUCTION
La traduction française de cette page de manuel a été créée par Jean-Paul Guillonneau <guillonneau.jeanpaul@free.fr>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.